require "nokogiri"
require "rest_client"
require "addressable/uri"

module Nanopop
  API_URL     = "http://nanopopapi.cloudapp.net/"
  ASSETS_URL  = "https://nanopopapi.blob.core.windows.net"

  class UndefinedToken < StandardError; end

  class << self
    attr_accessor :configuration
  end

  def self.configure
    self.configuration ||= Configuration.new
    yield(configuration)
  end

  class Configuration
    attr_accessor :token

    def initialize
      @token = nil
    end
  end

  configure do
  end

end

require_relative "nanopop/version"
require_relative "nanopop/picture"
